@font-face {
  font-family: 'MeridianiSymbols';
  src: url(../fonts/MeridianiSymbols.ttf) format('truetype');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@media screen and (min-width: 1024px) {
  html body .section_in .materials_grid .news__item {
    width: 25%;
    position: relative;
  }
}

html body .section_in .materials_grid .news__item {
  position: relative;
}

html body .section_in .materials_grid .news__item .material-select-btn .item_selection {
  position: absolute;
  width: 20px;
  aspect-ratio: 1;
  top: 3rem;
  right: 5.2rem;
  border: 1px solid #000;
  background-color: white;
  z-index: 99;
}

@media screen and (min-width: 1024px) {
  html body.pim-materials-page .wrapper, .base {
    overflow-x: inherit!important;
    overflow: inherit!important;
  }
}

.submenu-material {
  margin-bottom: 5rem;
}

@media screen and (max-width: 767px) {
  html body .section_in .materials_grid .news__item .material-select-btn .item_selection {
    top: 4rem;
    right: 2.2rem;
  }

}

.selected-materials-banner {
  background-color: var(--bs-yellow);
  position: sticky;
  top: var(--height-header, 0);
  width: 100%;
  z-index: 100;
}

.selected-materials-banner .selected-materials-banner_content {
  background: #fff;
  display: flex;
  align-items: start;
  justify-content: space-between;
  padding: 3rem;
  gap: 5px;
}

.selected-materials-banner .selected-materials-banner_content .selected-materials-banner__actions {
  display: flex;
  align-items: center;
  gap: 15px;
}

.selected-materials-banner .selected-materials-banner_content .selected-materials-banner_list {
  display: flex;
  flex-wrap: wrap;
  gap: 15px;
}

.selected-materials-banner .selected-materials-banner_content .selected-materials-banner_list .selected-material-item {
  display: flex;
  align-items: center;
  gap: 15px;
  font-size: 1.6rem;
  line-height: 1;
  font-weight: 400;
  letter-spacing: .01em;
}


@media screen and (max-width:768px) {
  .selected-materials-banner .selected-materials-banner_content {
    display: block;
    padding: 2rem;
  }

  .selected-materials-banner .selected-materials-banner_content .selected-materials-banner__actions {
    flex-direction: column;
    margin-top: 3rem;
  }

  .selected-materials-banner .selected-materials-banner_content .selected-materials-banner_list {
    flex-direction: column;
    justify-content: space-between;
    width: 100%;
  }

  .selected-materials-banner .selected-materials-banner_content .selected-materials-banner_list .selected-material-item {

    width: 100%;
    justify-content: space-between;
  }

}



.selected-materials-banner .selected-materials-banner_content .selected-materials-banner_list .selected-material-item button {
  height: auto;
  width: auto;
  max-height: 12px;
}

.selected-materials-banner .selected-materials-banner_content .selected-materials-banner_list .selected-material-item svg {
  width: 12px;
  max-height: 12px;
}

.selected-materials-banner .selected-materials-banner_content .selected-materials-banner_list img {
  width: 45px;
  aspect-ratio: 16 / 9;
}


.btn_icon_material .fixed_btn__icon {
  margin-right: 15px;
}

.material_body {
  padding-top: 5.6rem;
}

.variant-colors-grid {
  display: grid;
  align-items: center;
  gap: 6rem;
  row-gap: 3rem;
}

.variant-colors-grid.cols-2 {
  grid-template-columns: repeat(2, 1fr);
}

.variant-colors-grid.cols-3 {
  grid-template-columns: repeat(3, 1fr);
}

.variant-colors-grid.cols-4 {
  grid-template-columns: repeat(4, 1fr);
}

@media (max-width: 768px) {

  .variant-colors-grid.cols-2,
  .variant-colors-grid.cols-3,
  .variant-colors-grid.cols-4 {
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;
  }
}


.variant-colors-grid .variant-color-item,
.variant-colors-grid .variant-color-image {
  aspect-ratio: 16/9;
}

.variant-colors-grid .variant-color-item .text-left {
  text-align: left;
  display: block;
  margin-top: 6px;
}


/* Single Materials */

.single_materials .section_wrapper_head {
  display: grid;
  align-items: center;
  gap: 6rem;
  grid-template-columns: repeat(2, 1fr);
}

@media screen and (max-width: 768px) {
  .single_materials .section_wrapper_head {
    grid-template-columns: 1fr;
    gap: 2rem;
  }

  .single_materials .section_wrapper_head>div:first-child {
    order: 2;
  }

  .single_materials .section_wrapper_head>div:last-child {
    order: 1;
  }
}

.single_materials .section_wrapper_head img,
.ratio-16-9 {
  aspect-ratio: 16/9;
}

.single_materials .pt-12 {
  padding-top: 3rem;
}

.single_materials .pb-12 {
  padding-bottom: 5rem;
}

.single_materials .btn_trasparent {
  background-color: transparent;
}

.single_materials .js-main-image {
  transition: opacity 0.3s ease-in-out;
}

.single_materials .js-variant-trigger:hover {
  opacity: 0.8;
}

.single_materials .rich_text__title {
  font-size: 2.5rem!important;
  margin-bottom: 0!important
}

.flex-wrapper {
  display: flex;
  gap: 1rem;
  align-items: center;
  flex-wrap: wrap;
}

.single_materials .flex-wrapper .rich_text__text p {
  margin-bottom: 0.3rem;
}

.text-normal {
  text-transform: none;
}


.materials-loader {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  min-height: 300px;
  gap: 1rem;
}

.loader-spinner {
  width: 50px;
  height: 50px;
  border: 4px solid #f3f3f3;
  border-top: 4px solid var(--bs-yellow);
  border-radius: 50%;
  animation: spin 1s linear infinite;
}

.type_content__wash{
  font-family: 'MeridianiSymbols';
  font-size: 30px;
}
@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

.btn-back {
    background: rgba(255, 255, 255, 0.8);
    border: none;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 2px 5px rgba(0,0,0,0.2);
    transition: transform 0.2s;
}
.btn-back:hover {
    transform: scale(1.1);
    background: #fff;
}